Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2058483 (CVE-2022-0554) - CVE-2022-0554 vim: Use of Out-of-range Pointer Offset in vim
Summary: CVE-2022-0554 vim: Use of Out-of-range Pointer Offset in vim
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2022-0554
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2058484 2059810 2071973
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-02-25 06:14 UTC by Avinash Hanwate
Modified: 2022-09-19 20:03 UTC (History)
8 users (show)

Fixed In Version: vim 8.2.4327
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in vim that causes an out-of-range pointer offset vulnerability. This flaw allows an attacker to input a specially crafted file, leading to a crash or code execution.
Clone Of:
Environment:
Last Closed: 2022-07-01 07:43:12 UTC
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2022:5242 0 None None None 2022-06-28 14:58:18 UTC

Description Avinash Hanwate 2022-02-25 06:14:01 UTC
Use of Out-of-range Pointer Offset in GitHub repository vim/vim prior to 8.2.

https://github.com/vim/vim/commit/e3537aec2f8d6470010547af28dcbd83d41461b8
https://huntr.dev/bounties/7e8f6cd0-b5ee-48a2-8255-6a86f4c46c71

Comment 1 Avinash Hanwate 2022-02-25 06:16:24 UTC
Created vim tracking bugs for this issue:

Affects: fedora-all [bug 2058484]

Comment 10 errata-xmlrpc 2022-06-28 14:58:16 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9

Via RHSA-2022:5242 https://access.redhat.com/errata/RHSA-2022:5242

Comment 11 Product Security DevOps Team 2022-07-01 07:43:09 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2022-0554


Note You need to log in before you can comment on or make changes to this bug.